import { p as proxyCustomElement, H, h, d as Host } from './p-BhqVmlhr.js';

const DgaSecondNavHeaderActions = /*@__PURE__*/ proxyCustomElement(class DgaSecondNavHeaderActions extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: 'd1e640c6c31419544931a943928581ef2ea7eb5c' }, h("div", { key: '0ed3577db3702c1a6a9541119c5869052bfdfc51', class: `items-container` }, h("slot", { key: 'a876aa2c50147c276c9c687b9a4588aa7c5aea0c' }))));
    }
}, [4, "dga-second-nav-header-actions"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-second-nav-header-actions"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-second-nav-header-actions":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaSecondNavHeaderActions);
            }
            break;
    } });
}

export { DgaSecondNavHeaderActions as D, defineCustomElement as d };
